{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "NNN",
    "DPD",
    "DDD"
  ],
  "key": {
    "P": {
      "item": "botania:fabulous_pool"
    },
    "D": {
      "item": "botanicadds:dreamrock"
    },
    "N": {
      "item": "botania:terrasteel_nugget"
    }
  },
  "result": {
    "item": "botanicadds:dreaming_pool"
  }
}